## writetype 1.2.130%2Bbzr139

=== Makefile ===
DATADIR = $(DESTDIR)/usr/share/writetype
BINDIR = $(DESTDIR)/usr/bin
ICONDIR = $(DESTDIR)/usr/share/applications

translation:
	pylupdate4 writetype/*.py -ts translations/writetype.ts translations/qt_nl_NL.ts translations/qt_es.ts translations/qt_eu_ES.ts
	lrelease-qt4 translations/qt_nl_NL.ts -qm translations/qt_nl_NL.qm
	lrelease-qt4 translations/qt_es.ts -qm translations/qt_es.qm
	lrelease-qt4 translations/qt_eu_ES.ts -qm translations/qt_eu_ES.qm

revno:
	printf "aboutrevno = `bzr revno`" > writetype/revno.py

changelog:
	bzr log > CHANGELOG

gui:
	pyuic4 ui/mainwindow.ui -o writetype/mainwindow.py
	pyuic4 ui/distractionfree.ui -o writetype/distractionFree.py
	pyuic4 ui/settings.ui -o writetype/settingsDialog.py
	pyuic4 ui/statistics.ui -o writetype/statistics.py

rc:
	pyrcc4 res/resources.qrc -o writetype/resources_rc.py

all: translation revno gui rc changelog

clean:
	rm -f writetype/*.py[co]

install:
	mkdir -p $(DATADIR)
	mkdir -p $(BINDIR)
	cp -r writetype $(DATADIR)/
	cp -r wordlists $(DATADIR)/
	cp -r res $(DATADIR)/
	cp -r translations $(DATADIR)/
	cp platformSettings.ini $(DATADIR)/
	cp scripts/writetype $(BINDIR)/writetype
	cp writetype.desktop $(ICONDIR)/writetype.desktop

uninstall:
	rm -rf $(DATADIR)
	rm -rf $(BINDIR)/writetype
	rm -rf $(ICONDIR)/writetype.desktop

## writetype 1.2.130+bzr139

=== debian/changelog ===
writetype (1.2.130+bzr139-1) unstable; urgency=low

  * New upstream release, obtained from bzr branch lp:writetype
    Closes: #631441
  * Moved from dh_pysupport to dh_python2.
    See: http://wiki.debian.org/Python/TransitionToDHPython2
  * Added XPM icon and menu file
  * Fixed documentation URL and Desktop file
  * Added patch to write files with the proper extension

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 17 Nov 2011 23:27:12 +0100

writetype (1.2.130-1) UNRELEASED; urgency=low

  [ Miriam Ruiz ]
  * New upstream release.
  * Upgraded Standards-Version from 3.8.4 to 3.9.2
  * Added dependencies: libqt4-dev, pyqt4-dev-tools
  * Added support for dh-buildinfo
  * Added manpage

  [ Jakub Wilk ]
  * Add Vcs-* fields.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 10 Sep 2011 00:23:11 +0200

writetype (1.1.102) UNRELEASED; urgency=low

  * Initial release.

 -- Max Shinn <max@bernsteinforpresident.com>  Wed, 15 Sep 2010 19:45:07 -0500

=== debian/control ===
Source: writetype
Section: editors
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Max Shinn <max@bernsteinforpresident.com>, Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), dh-buildinfo, quilt,
 libqt4-dev, pyqt4-dev-tools, python (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://writetype.bernsteinforpresident.com/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/writetype/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/writetype/trunk/

Package: writetype
Architecture: all
Depends: python (>= 2.6.6-3~), python-qt4, python-enchant,
 ${python:Depends}, ${misc:Depends}
Recommends: festival, espeak
Description: application designed to help students write more easily
 WriteType is a simple word processor designed to help young students write 
 more easily and accurately. It offers spelling suggestions as students type,
 making the process easier and less frustrating. It also provides the ability
 to read back text through either an eSpeak or a Festival backend. In 
 addition, there are special tools for teachers, and the entire application 
 is easily translatable.

=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
	cd "$(CURDIR)/debian/translations"; for i in *.ts; do cp -v "$$i" "$(CURDIR)/translations/"; done
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

build-indep: build

build-arch:

clean:
	dh_testdir
	dh_testroot
	rm -fv translations/*.qm
	rm -fv build-stamp configure-stamp
	cd "$(CURDIR)/debian/translations"; for i in *.*.ts; do rm -fv "$(CURDIR)/translations/$$i"; done
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR="$(CURDIR)/debian/writetype" install
	rm -rf `find "$(CURDIR)/debian/writetype" -name ".bzr*"`

binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installmenu -i
	dh_installmime -i
	dh_installman -i
	dh_python2 -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install

binary: binary-indep

.PHONY: build build-indep build-arch clean binary-indep binary install configure

## writetype 1.3.163

=== Makefile ===
DATADIR = $(DESTDIR)/usr/share/writetype
BINDIR = $(DESTDIR)/usr/bin
ICONDIR = $(DESTDIR)/usr/share/applications

all: ui res translations revno changelog

translations: $(foreach tsfile, $(wildcard translations/qt_*.ts), $(basename $(tsfile)).qm)
	pylupdate4 writetype/*.py -ts translations/writetype.ts  

translations/%.qm:
	cp $(basename $@).ts translations/new_$(notdir $(basename $@)).ts
	pylupdate4 writetype/*.py -ts translations/new_$(notdir $(basename $@)).ts
	lrelease-qt4 $(basename $@).ts -qm $@ 

revno:
	printf "aboutrevno = `bzr revno`" > writetype/revno.py

changelog:
	bzr log > CHANGELOG

ui: $(foreach uifile, $(wildcard ui/*.ui), writetype/ui_$(basename $(notdir $(uifile))).py)

writetype/ui_%.py:
	pyuic4 ui/$(basename $(notdir $(subst ui_, , $@))).ui -o $@

res:
	pyrcc4 res/resources.qrc -o writetype/resources_rc.py

clean:
	rm -f writetype/*.py[co]
	rm -f translations/new_qt_*.ts
	rm -f translations/qt_*.qm
	rm -f writetype/ui_*.py
	rm -f writetype/revno.py
	rm -f writetype/resources_rc.py
	rm -f CHANGELOG

install:
	mkdir -p $(DATADIR)
	mkdir -p $(BINDIR)
	cp -r writetype $(DATADIR)/
	cp -r wordlists $(DATADIR)/
	cp -r res $(DATADIR)/
	mkdir -p $(DATADIR)/translations
	cp -r translations/*.qm $(DATADIR)/translations/
	cp platformSettings.ini $(DATADIR)/
	cp scripts/writetype $(BINDIR)/writetype
	cp writetype.desktop $(ICONDIR)/writetype.desktop

uninstall:
	rm -rf $(DATADIR)
	rm -rf $(BINDIR)/writetype
	rm -rf $(ICONDIR)/writetype.desktop

.PHONY: translations revno ui res changelog

=== debian/changelog ===
writetype (1.3.163-1) unstable; urgency=low

  * New upstream release, obtained from bzr branch lp:writetype
    - Russian translations
    - Dutch translations
    - Bulgarian translations
    - Italian translations
    - Significant performance improvement. Closes: #649595
    - Improved multilingual support
    - Ability to disable spell check
    - Fixed printing regression
    - Allow indenting at the beginning of paragraphs
    - Minor usability enhancements
    - Documented the ini file so administrators can easily configure
      WriteType for running off a network
  * Upgraded Standards-Version from 3.9.2 to 3.9.3
  * Added patch to not use bzr when building the package

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 10 Aug 2012 03:27:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Max Shinn <max@bernsteinforpresident.com>, Miriam Ruiz <little_miry@yahoo.es>
 Build-Depends: debhelper (>= 7), dh-buildinfo, quilt,
  libqt4-dev, pyqt4-dev-tools, python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://writetype.bernsteinforpresident.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/writetype/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/writetype/trunk/
